Index

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Index

## Functions
Evas_Object * | elm_index_add (Evas_Object *parent)
| Add a new index widget to the given parent Elementary (container) object. More...

## Detailed Description

An index widget gives you an index for fast access to whichever group of other UI items one might have. It's a list of text items (usually letters, for alphabetically ordered access).

Index widgets are by default hidden and just appear when the user clicks over it's reserved area in the canvas. In its default theme, it's an area one finger wide on the right side of the index widget's container.

When items on the index are selected, smart callbacks get called, so that its user can make other container objects to show a given area or child object depending on the index item selected. You'd probably be using an index together with lists, generic lists or general grids.

This widget inherits from the Layout one, so that all the functions acting on it also work for index objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - When the selected index item changes. `event_info` is the selected item's data pointer.
- `"delay,changed"` - When the selected index item changes, but after a small idling period. `event_info` is the selected item's data pointer.
- `"selected"` - When the user releases a mouse button and selects an item. `event_info` is the selected item's pointer.
- `"level,up"` - when the user moves a finger from the first level to the second level
- `"level,down"` - when the user moves a finger from the second level to the first level
- `"language,changed"` - the program's language changed
- `"focused"` - When the index has received focus. (since 1.8)
- `"unfocused"` - When the index has lost focus. (since 1.8)

The `"delay,changed"` event is so that it'll wait a small time before actually reporting those events and, moreover, just the last event happening on those time frames will actually be reported.

Supported elm_object_item common APIs

- elm_object_item_del

Here are some examples on its usage:

- Index widget example 1
- Index widget example 2

## Function Documentation

Evas_Object* elm_index_add | ( | Evas_Object * | parent | ) |

Add a new index widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new index widget handle or `NULL`, on errors

This function inserts a new index widget on the canvas.